
//flipar quadrado
function flip(event) {
    var element = event.currentTarget;
    if (element.className === "card") {
        if (element.style.transform == "rotateY(180deg)") {
            element.style.transform = "rotateY(0deg)";
        } else {
            element.style.transform = "rotateY(180deg)";
        }
    }
}

// drag drop

function allowDrop(ev) {
    ev.preventDefault();
}



function drag(ev, id) {
    ev.dataTransfer.setData(id, ev.target.id);
}

function drop(ev, id) {
    console.log(id);
    console.log(ev.target.id);


    ev.preventDefault();
    var data = ev.dataTransfer.getData(id);
    if (data != "") {
        //alert("ok");
        $("#" + ev.target.id).empty();
        $("#" + ev.target.id).css("padding", "0");
        $("#" + ev.target.id).css("border-color", "#00f000");
        $("#" + ev.target.id).css("border-color", "#00f000");

    } else {
        //alert("erro")
    }
    ev.target.appendChild(document.getElementById(data));
    console.log(data);
}


function checkQuestaoRadio1() {
    var modalErrado = new bootstrap.Modal(document.getElementById('modalErrado'), {})
    var modalCerto = new bootstrap.Modal(document.getElementById('modalCerto'), {})




    const radioButtons = document.querySelectorAll('input[name="radiopascal"]');


    let selectedSize;
    for (const radioButton of radioButtons) {
        if (radioButton.checked) {
            selectedSize = radioButton.value;
            break;
        }

    }
    // show the output:
    if (selectedSize == 'mpa') {
        modalCerto.show();
    } else {
        modalErrado.show();

    }
}


var isMobile = {
    Android: function () {
        return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function () {
        return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function () {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function () {
        return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function () {
        return navigator.userAgent.match(/IEMobile/i) || navigator.userAgent.match(/WPDesktop/i);
    },
    any: function () {
        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
};


$(document).ready(function () {
    $(this).scrollTop(0);

    if (isMobile.any()) {

        
       // $(".tooltipsecao img").attr("src", "img/_template/btsecaointerativamobile.svg")

        $(".secaointerativa").attr("src", "img/_template/btsecaointerativamobile.svg")
        
        $(".linkexterno").attr("src", "img/_template/btlinkexternomobile.svg")

    }



    //fecha popups clicando fora do popup

    $(".overlay-wrapper").each(function () {

        $(this).click(function (evt) {
            $(".overlay").each(function () {
                if ($(this).css('display') === 'block') {
                    $(this).css('display', '');
                    bloquearRolagem = false;
                }
            })


        });

    });
})


/*$(document).ready(function () {

    $(function () {

        // CARREGAR MENU DE PÁGINAS
        $.ajax({
            type: "GET",
            url: "menus/menu_paginas.xml",
            dataType: "xml",
            success: function (xml) {
                var idPaginas = 1;
                var totalPaginas = 0;
                var aulaMenu = 0;
                var aulasPorAula = '';

                // DISCIPLINA
                $(xml).find("Disciplina").each(function () {
                    $("#disciplina").html($(this).attr("text"));
                });

                $(xml).find("Titulo").each(function () {
                    $(".titulo").html($(this).attr("text"));
                });

                var ul_main = $("<ul />");

                // PÁGINAS
                $(xml).find("Menu").each(function () {

                    subItens = $(this).children().length;
                    aulaMenu++;

                    var ulSub = $("<ul class='submenu' style='padding-left: 20px; list-style: none;'/>");

                    $(this).children().each(function () {
                        aulasPorAula += "1";
                        // 1º SUBNÍVEL

                        ulSub.append("<li><a data-pagina=" + idPaginas + " href='javascript: go(" + idPaginas + ")'><i id=icoVisitado" + idPaginas + " class='fa fa-circle-o' style='padding-right:10px'></i>" + $(this).attr("text") + "</a></li>");
                        idPaginas++;
                        totalPaginas++;
                    });

                    var li = $("<li data-aula=" + aulaMenu + "><a href=# class='menu'><i style='padding-right:5px;' class='fa fa-plus'></i>" + $(this).attr("text") + "</a></li>");
                    ul_main.append(li.append(ulSub))
                    idPaginas = 1;

                    aulasPorAula += ",";
                });

                totalAulas = aulaMenu;
                gabaritoAulas = aulasPorAula;



                $("#menu-paginas").append(ul_main);

                $("ul.submenu").hide();

                $("a.menu").click(function (e) {

                    e.preventDefault();

                    if ($(this).parent().find("ul.submenu").css("display") != "block") {
                        $("ul.submenu").slideUp('fast');
                        $(this).parent().find("ul.submenu").slideDown('fast');


                        $("#menu-paginas").find(".fa-minus").addClass("fa-plus").removeClass("fa-minus");
                        $(this).find(".fa-plus").addClass("fa-minus").removeClass("fa-plus");


                    } else {

                        $(this).find(".fa-minus").addClass("fa-plus").removeClass("fa-minus");
                        $("ul.submenu").hide();

                    }

                });

                // TOTAL DE PÁGINAS
                limite = totalPaginas;

            },
            complete: function (xml) {

                //$(window).scrollTop(1);


            }

        });

    });






    $.fn.isInViewport = function () {

        var elementTop = $(this).offset().top;
        var elementBottom = elementTop + $(this).outerHeight();

        var viewportTop = $(window).scrollTop() + ($(".fixed").height() + 1);
        var viewportBottom = viewportTop + $(window).height() - ($(".fixed").height() * 2);

        return elementBottom > viewportTop && elementTop < viewportBottom;

    };

    $(window).on('resize scroll', function () {

        $("[data-section-id]").each(function () {

            if ($(this).isInViewport()) {
                idAtual = $(this).data("section-id");
                atualizarProgresso();
                atualizarEstiloMenu($(this).data("section-id"));
            }

        });

    });






});


*/